summaryrefslogtreecommitdiff
path: root/dev-python/pycodestyle/pycodestyle-2.12.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-16 20:55:21 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-16 20:55:21 +0000
commite4b39a3f45891a8010f95d866f865993430283de (patch)
tree976213102a87176ef4b9053861fc2a042bbcce33 /dev-python/pycodestyle/pycodestyle-2.12.0.ebuild
parent0fa4148af439d1471b7ba8cbeaa2719752bfdea5 (diff)
downloadbaldeagleos-repo-e4b39a3f45891a8010f95d866f865993430283de.tar.gz
baldeagleos-repo-e4b39a3f45891a8010f95d866f865993430283de.tar.xz
baldeagleos-repo-e4b39a3f45891a8010f95d866f865993430283de.zip
Adding metadata
Diffstat (limited to 'dev-python/pycodestyle/pycodestyle-2.12.0.ebuild')
-rw-r--r--dev-python/pycodestyle/pycodestyle-2.12.0.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/pycodestyle/pycodestyle-2.12.0.ebuild b/dev-python/pycodestyle/pycodestyle-2.12.0.ebuild
new file mode 100644
index 000000000000..99da23fdd3cf
--- /dev/null
+++ b/dev-python/pycodestyle/pycodestyle-2.12.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2020-2024 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python style guide checker (fka pep8)"
+HOMEPAGE="https://pypi.org/project/pycodestyle/"
+SRC_URI="https://github.com/PyCQA/pycodestyle/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py -v --statistics pycodestyle.py || die
+ PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py -v --testsuite=testsuite || die
+ PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py --doctest -v || die
+ esetup.py test
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ distutils-r1_python_install_all
+}